"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const router_1 = require("next/router");
const Route = ({ component, to, queryKey, router }) => {
    if (!router) {
        return null;
    }
    if (!router.query) {
        return null;
    }
    const hasValidQueryKey = queryKey && router.query.hasOwnProperty(queryKey);
    if (!component || !hasValidQueryKey) {
        return null;
    }
    const queryValue = router.query[queryKey];
    if (queryValue == to) {
        return react_1.default.createElement(component);
    }
    return null;
};
exports.Route = Route;
const DecoratedRoute = router_1.withRouter(Route);
exports.DecoratedRoute = DecoratedRoute;
//# sourceMappingURL=Route.js.map