"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const router_1 = require("next/router");
const configure_1 = require("../configure");
const TogglableRouteLink = ({ to, router, queryKey, children }) => {
    let navigationItemSelected = false;
    if (router.query[queryKey] !== null && router.query[queryKey] !== undefined) {
        navigationItemSelected = router.query[queryKey] === to;
    }
    const newParams = Object.assign({}, router.query);
    newParams[queryKey] = to;
    /* the router.route is actually the page name, not the alias.
    the Router.Link will expect the page name route to passed in as the route param,
    but we dont want the slash in the front of the route
    because the Router.Link will not work properly, it should be  */
    const cleanedRoute = router.route && router.route.split("/")[1];
    return (react_1.default.createElement(configure_1.routeRegistry.Link, { route: cleanedRoute, params: newParams }, children({ isSelected: navigationItemSelected })));
};
exports.default = router_1.withRouter(TogglableRouteLink);
//# sourceMappingURL=TogglableRouteLink.js.map